//vc/ VC/m Category Class
//vc/ Copyright 2005 George James
//vc/ Object:    Category.js
//vc/ Component: T.Category.js


	// Category Class
Category = {}

Category.Current=Disabled
Category.windowProperties  = 'left=50,top=50,width=790,height=370,toolbar=no'
Category.windowProperties += ',location=no,directories=no,status=yes,resizable=yes,menubar=no'


	// Public - Display List of menus and make this the active folder
Category.fnList = function() {
	//
	SelectedClass=Category
	Class.fnUnselect()
	//
	ServerLink.fnDo('Category.fnListResult','Category.fnList','')
}

Category.fnListResult = function(oResult) {
	//
  // Copy results from oResult to document
  ServerLink.fnUpdate(oResult,'divFolderHeadingCaption')
  ServerLink.fnUpdate(oResult,'divMainBody')
  ServerLink.fnUpdate(oResult,'divMainHead')
}


	// Public - Open new Category window
Category.fnNew = function() {
	fnRunWindow("Category.fnNew",Category.windowProperties) 
}

	// Public - Open Category
Category.fnOpen = function(sCategory) {
	//
	var url
	//
	// Build url string
	url  = parent.serverUrl
	url += '&page=' + escape('Category.fnOpen')
	url += '&selectedItem=' + encodeURIComponent(sCategory)
	//
	// Open window
	winChref=window.open(url,'_blank',Category.windowProperties)
	winChref.focus()
}

	// Public - Copy Category
Category.fnCopy = function(sCategory) {
	//
	var url
	//
	// Build url string
	url  = parent.serverUrl
	url += '&page=' + escape('Category.fnCopy')
	url += '&selectedItem=' + encodeURIComponent(sCategory)
	//
	// Open window
	winChref=window.open(url,'_blank',Category.windowProperties)
	winChref.focus()
}


	// Public - Delete an item
Category.fnDelete = function(sCategory) {
	//
	var arguments
	//
	if (!confirm("Are you sure you want to delete this item?")) return
	//
	arguments = sCategory
  //
	parent.serverLink.fnDo('Category.fnDeleteResult','Category.fnDelete',arguments)
}


Category.fnDeleteResult = function(result) {
	if (result!="OK") {
		alert(result)
		return
	}
	fnRefreshSelected()
}

  // Refresh Category
Category.fnRefreshArguments = function(oMain) {
  //
	var arguments=""
	//
	arguments +=          getAttr(oMain,'gjsItem')
	arguments += '\002' + getAttr(oMain,'gjsRowId')
	//
	return arguments
}


  // Refresh Category
Category.fnRefresh = function(arguments) {
  //
  ServerLink.fnDo('Category.fnRefreshResult','Category.fnRefresh',arguments)
}

Category.fnRefreshResult = function(oResult) {
  gjsTree.fnRefreshRows("divMainBody",oResult)
  gjsTree.fnDeleteRows("divRowDelete",oResult)
}


//---------------------
Category.Item = {

 fnDelete: function() {
	if (typeof(Category.Current)=='undefined') return
	Category.fnDelete(getAttr(Category.selectedCell,'gjsItem'))
 },

	// Public - open selected item (if there is one)
 fnOpen: function() {
	if (typeof(Category.Current)=='undefined') return
	Category.fnOpen(getAttr(Category.selectedCell,'gjsItem'))
 },

	// Public - copy selected item (if there is one)
 fnCopy: function() {
	if (typeof(Category.Current)=='undefined') return
	Category.fnCopy(getAttr(Category.selectedCell,'gjsItem'))
 }
}


