<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- Transforms VC/m xml definitions definition into standard global save format -->

<!-- Is this really required? -->
<xsl:strip-space elements="VCm"/>

<xsl:template match="VCm">
<xsl:value-of select='@description'/>~Format=5.S~
<xsl:value-of select='@timeStamp'/>   VC/m<xsl:apply-templates/>
<!-- The next two blank lines are required, xsl:text achieves this -->
<xsl:text>


</xsl:text>
</xsl:template>

<!-- Include the transform file for each type of global -->
<xsl:include href="vctr.xsl" />
<xsl:include href="vclp.xsl" />
<xsl:include href="vclo.xsl" />
<xsl:include href="vcco.xsl" />
<xsl:include href="vcmfLocationClass.xsl" />
<xsl:include href="vcmfUser.xsl" />
<xsl:include href="vcmfChangeRequestType.xsl" />

</xsl:stylesheet>
