//vc/ Location List (formerly location class) Maintenance
//vc/ Copyright 2002 George James
//vc/ Object:    %Serenj29/1.15
//vc/ Component: T.vc291.js

	var delimiter=parent.opener.delimiter;
	var winHelpProperties = parent.opener.winHelpProperties;
	var g_oSelectedRow=null;

	//----------------------------------------------------------------------
	// Validate and save item
	//----------------------------------------------------------------------
function fnItemSaveClose() {
	parent.serverLink.fnDo('fnItemSaveCloseResult','LocationClass.fnSave',fnArguments());
}

function fnItemSaveCloseResult(result) {
	//
	var arrResult;
	//
	arrResult=result.split(delimiter);
	if (arrResult[0]!="OK") {
		alert(result);
		return;
	}
	//
	// Update main screen (if still there)
	try {
		// If a new item (i.e. revision=1), force a full relist
		//
		Form.fnRefresh(parent.opener.LocationClass,(arrResult[1]=="1"))
	}
	catch (error) {}
	//
	// Successfully deleted so close the window
	parent.fnClose();
}



	//----------------------------------------------------------------------
	// Delete item
	//----------------------------------------------------------------------
function fnItemDelete() {
	var arguments;
	//
	arguments  = frmMain.locationClass.value;
	arguments += delimiter + frmMain.revision.value;
	parent.serverLink.fnDo('fnItemDeleteResult','LocationClass.fnDelete',arguments);
}

function fnItemDeleteResult(result) {
	if (result!="OK") {
		alert(result);
		return;
	}
	//
	// Update main screen
	Form.fnRefresh(parent.opener.LocationClass);
	//
	// Successfully deleted so close the window
	parent.fnClose();
}


function fnArguments() {
	var arguments;
	var i;
	//
	arguments  = frmMain.locationClass.value;
	arguments += delimiter + frmMain.oldLocationClass.value;
	arguments += delimiter + frmMain.revision.value;
	arguments += delimiter + frmMain.description.value;
	arguments += delimiter + frmMain.accessCodes.value;
	arguments += delimiter + frmMain.modifyAccessCodes.value;
	arguments += delimiter + frmMain.sortingText.value;
	//
	arguments += delimiter;
  if (frmMain.inClass) {
  	for (i=0; i<frmMain.inClass.length; i++) {
  		if (frmMain.inClass[i].checked==true) arguments += getAttr(frmMain.inClass[i],'gjsLcode') + '\\';
  	}	
  }
	//
	return arguments;
}

	// Toggle a checkbox
function fnToggleCheckbox(oEl) {
	var i,j,myi;
  var arrRows;
	if (!oEl.checked) return;
  
	// Box has been checked, so move the row upwards to lie immediately after the bottom-most of the other checked items
  arrRows=document.getElementsByName('rowClass');
	j=-1;
	for (i=0; i<frmMain.inClass.length; i++) {
		if (frmMain.inClass[i]==oEl) {
			// Note my index
			myi=i;
			continue;
		}
		// Note the biggest selected index
		if (frmMain.inClass[i].checked) j=i;
	}

	// Nothing to do if a selected item already comes after me
	if (j>myi) return;
  // Nor if I am already in the correct place
	if (myi==(j+1)) return;
	if (j==-1) {
		// Nothing else is selected, so move to the start
		arrRows[0].parentNode.insertBefore(arrRows[myi],arrRows[0]);
    return;
	}
	// Otherwise, insert before the item that follows the last checked one
	arrRows[0].parentNode.insertBefore(arrRows[myi],arrRows[j+1]);
}

	// Select a row
function fnItemSelect(oRow) {
	if (g_oSelectedRow) g_oSelectedRow.className='row';
	g_oSelectedRow=oRow;
	g_oSelectedRow.className='selectedRow';
}


	// Move selected row up one
function fnMoveUp() {
	//
	var oBody,oPreviousRow,bInClass
	//
	if (!g_oSelectedRow) return;
	//
	if (g_oSelectedRow.rowIndex<2) return;
	//
	oBody=g_oSelectedRow.parentNode;
	bInClass=document.getElementsByName('inClass')[g_oSelectedRow.rowIndex-1].checked
	oPreviousRow=g_oSelectedRow.previousElementSibling;
	oBody.insertBefore(g_oSelectedRow,oPreviousRow);
	document.getElementsByName('inClass')[g_oSelectedRow.rowIndex-1].checked=bInClass
	//TODO - make sure selected row is still in view
}


	// Move selected row down one
function fnMoveDown() {
	//
	var oBody,oNextRow
	//
	if (!g_oSelectedRow) return;
	//
	if (!g_oSelectedRow.nextElementSibling) return;
	//
	oBody=g_oSelectedRow.parentNode;
	bInClass=document.getElementsByName('inClass')[g_oSelectedRow.rowIndex-1].checked
	oNextRow=g_oSelectedRow.nextElementSibling;	
	oBody.insertBefore(oNextRow,g_oSelectedRow);
	document.getElementsByName('inClass')[g_oSelectedRow.rowIndex-1].checked=bInClass
	//TODO - make sure selected row is still in view
}

	// Sort the selected rows and bring them to the top of the list
function fnSort() {
	//
	var arrCheckboxes = document.getElementsByName('inClass');
	var arrSelRows = new Array();
	var arrUnselRows = new Array();
	var oTable;
	var oButton;
	var i,j,k;
  
	// Gather selected and unselected rows into two arrays
	j=0;
	k=0;
	for (i=0; i<arrCheckboxes.length; i++) {
  	if (arrCheckboxes[i].checked) {
			arrSelRows[j]=arrCheckboxes[i].parentNode.parentNode;
    	j++;
		} else {
			arrUnselRows[k]=arrCheckboxes[i].parentNode.parentNode;
    	k++;
		}
	}
	// Nothing to do if none selected
	if (!arrSelRows.length) return;
  
	// Sort the selected row array in the desired order, but alsowas put the unselected ones back into A-Z order
	oTable=arrSelRows[0].parentNode;
	oButton=document.getElementById('btnSort');
	if (oButton.value=='AZ') {
		arrSelRows.sort(fnCompareAZ);
		arrUnselRows.sort(fnCompareAZ);
		oButton.value='ZA';
		oButton.innerHTML='<u>S</u>ort Z-A'
	} else {
		arrSelRows.sort(fnCompareZA);
		arrUnselRows.sort(fnCompareAZ);
		oButton.value='AZ';
		oButton.innerHTML='<u>S</u>ort A-Z'
	}
  
	// Append the sorted selected rows, then the (unsorted) unselected rows
	for (i=0; i<arrSelRows.length; i++) oTable.insertBefore(arrSelRows[i],null);
	for (i=0; i<arrUnselRows.length; i++) oTable.insertBefore(arrUnselRows[i],null);
}

fnCompareAZ = function(oRow1,oRow2) {
	//
	var string1,string2;
	var iColumn=1;
	//
	string1=$(oRow1.children[iColumn]).html();
	//
	string2=$(oRow2.children[iColumn]).html();
	//
	// Compare the two strings (A-Z sort)
	if (string1>string2) return 1;
	if (string1==string2) return 0;
	if (string1<string2) return -1;
}

fnCompareZA = function(oRow1,oRow2) {
	//
	var string1,string2;
	var iColumn=1;
	//
	string1=$(oRow1.children[iColumn]).html();
	//
	string2=$(oRow2.children[iColumn]).html();
	//
	// Compare the two strings (Z-A sort)
	if (string1>string2) return -1;
	if (string1==string2) return 0;
	if (string1<string2) return 1;
}

function fnHelp() {
	winHelp=window.open('WebDoc/docs/managinglocationlists.html','vcmHelp',winHelpProperties) ;
	winHelp.focus();
}
