//vc/ VC/m Change Request Maintenance
//vc/ Copyright 2000,2005 George James
//vc/ Object:    %Serenj33/js.0
//vc/ Component: T.vc339.js


	var delimiter='\001';
	var user=parent.opener.user;


function fnLoad() {
	fnChangeComments()
	//
	// Select the first frame on the tab-strip
	TabStrip.fnSelect(document.getElementById('tabChangeRequest'))
	//
	if (frmMain.changeRequestType.value=='') frmMain.changeRequestType.focus()
	else frmMain.name.focus()
}


	// Validate and save item
function fnItemSave() {
	//
	var arguments
	//
	arguments=fnArguments()
	//
	if (typeof(Custom)!="undefined") arguments += delimiter + Custom.fnArguments()
	parent.serverLink.fnDo('fnItemSaveResult','ChangeRequest.fnSave',arguments)
}

function fnItemSaveResult(result) {
	//
	var arrResult
	//
	arrResult=result.split(delimiter)
	//
	if (arrResult[0]!="OK") {
		alert(result)
		return
	}
	//
	// Update revision number
	frmMain.revision.value=arrResult[1]
	//
	// Update change request number (may have been auto allocated)
	frmMain.changeRequest.value=arrResult[2]
	frmMain.changeRequest.readOnly=true
	frmMain.changeRequest.className="inputDisabled"
	Form.bChanged=false
	status="Saved"
	//
  // If fnRefresh method is available then refresh selected items in main form
  if (parent.opener && parent.opener.SelectedClass && parent.opener.SelectedClass.fnRefresh) parent.opener.fnRefreshSelected()
}


	// Delete item
function fnItemDelete() {
  //
	var arguments
	//
	arguments  = frmMain.changeRequest.value
	parent.serverLink.fnDo('fnItemDeleteResult','ChangeRequest.fnDelete',arguments)
}

function fnItemDeleteResult(oResult) {
  //
	if (oResult.getElementById('divError')) return
	//
  if (parent.opener && parent.opener.AuditTrail) parent.opener.AuditTrail.fnAppendMessages(oResult)
  //
  // If fnRefresh method is available then refresh selected items in main form
  if (parent.opener && parent.opener.SelectedClass && parent.opener.SelectedClass.fnRefresh) parent.opener.fnRefreshSelected()
  //
	parent.fnClose()
}


function fnArguments() {
	var arguments
	arguments  = user
	arguments += delimiter + frmMain.changeRequest.value
	arguments += delimiter + frmMain.oldChangeRequest.value
	arguments += delimiter + frmMain.revision.value
	arguments += delimiter + frmMain.changeRequestType.value
	arguments += delimiter + frmMain.name.value
	arguments += delimiter + frmMain.description.value
	arguments += delimiter + frmMain.ownerUserId.value
	arguments += delimiter + frmMain.plannedEndDate.value
	arguments += delimiter + frmMain.status.value
	arguments += delimiter + frmMain.comments.value
	arguments += delimiter + frmMain.creationUserId.value
	arguments += delimiter + frmMain.creationDateTime.value
	arguments += delimiter + frmMain.oldType.value
	arguments += delimiter + frmMain.oldStatus.value
	return arguments
}


	// When the Comments textarea is changed revise boldness of tab title as appropriate
	// option list.
function fnChangeComments() {
	// Modify the style of the first child, which is the span that wraps the actual caption text
	document.getElementById('tabComments').firstChild.style.fontWeight=document.getElementById('comments').value.length>0 ? 'bold' : 'normal'
}

	// When the Change Request type is changed set the Status list to the appropriate
	// option list.
function fnChangeType(oType) {
	//
	var oStatus,oHiddenStatus,iOptions,sOldValue,sNewValue
	//
	oStatus=document.getElementById('status')
	oHiddenStatus=document.getElementById('statusFor'+oType.value)
	//
	// Remove old options list for Status prompt
	sOldValue=oStatus.value
	iOptions=oStatus.options.length
	for (var i=0; i<iOptions; i++) oStatus.options.remove(0)
	//
	// If no matching status list then finish
	if (!oHiddenStatus) {
		return
	}
	//
	// Add new options list from hidden select object
  // If old status is valid for new type, preserve it, else set default status
	sNewValue=''
	for (var i=0; i<oHiddenStatus.options.length ;i++) {
		var oOption=document.createElement('option')
		oOption.text=oHiddenStatus.options[i].text
		oOption.value=oHiddenStatus.options[i].value
		if (oOption.value==sOldValue) sNewValue=sOldValue
		oStatus.options.add(oOption)
	}
	if (sNewValue=='') sNewValue=getAttr(oHiddenStatus,'gjsValue')
	
	if (oStatus.options.length==0) {
		oStatus.disabled=true
	}
	else {
		oStatus.disabled=false
		//
		// Add a null entry if we need one to represent value
		if ((sNewValue=='') && (oStatus.options.length>0)) {
			var oOption=document.createElement('option')
			oOption.text=''
			oOption.value=''
			oStatus.options.add(oOption,0)
		}
	}
	oStatus.value=sNewValue
	//
}	


	// Override the standard form close method
Form.fnClose = function() {
	if (Form.bChanged) {
		alert("There are unsaved changes.  Click the Close button a second time\n if you really want to close this window.")
		Form.bChanged=false
		return
	}
	//
	fnClose(frmMain.closeAction.value)
	parent.fnClose()
}


	// Invoke the close action
function fnClose(closeAction) {
	if (closeAction != '') {
		if (frmMain.changeRequest.value !='') {
			var description=frmMain.changeRequest.value+' '+frmMain.name.value
			closeAction += '("' + escape(frmMain.changeRequest.value) + '","' + escape(description) + '")'
			eval(closeAction)
		}
	}
}
