//vc/ VC/m Connect Dialog Box
//vc/ Copyright 1999,2002 George James
//vc/ Object:    %Serenj73/js.2
//vc/ Component: T.vc730.js

	// Global variables
	var delimiter='\001';
	var pendingConnectResult ;
	


	// Disable the form and put up an hourglass
function fnFormDisable(form) {
	$(form).removeClass().addClass('frmWait');
	for (i=0; i<form.elements.length; i++) {
		if ($(form.elements[i]).attr("disabled")) setAttr(form.elements[i],"gjsOldDisabled",getAttr(form.elements[i],"disabled"));
		setAttr(form.elements[i],"disabled","disabled");
	}
}


	// Enable the form and restore the cursor
function fnFormEnable(form) {
	$(form).removeClass().addClass('frmNormal');
	for (i=0; i<form.elements.length; i++) {
		if ($(form.elements[i]).attr("gjsOldDisabled")) setAttr(form.elements[i],"disabled",getAttr(form.elements[i],"gjsOldDisabled"));
		else $(form.elements[i]).removeAttr("disabled");
	}
}


function fnLoad() {
	//
	// If the User ID has a default value (from cookie) then put focus on the Password field
	// otherwise put focus on the User ID field.
	if (!(document.getElementById('txtUser').value=='')) document.getElementById('txtPassword').focus()
	else document.getElementById('txtUser').focus()
}


	//----------------------------------------------------------------------
	// Invoke Connect Function
	//----------------------------------------------------------------------
	// arrConnect[0] - 0 = Connect
	//                 1 = No connected
	// arrConnect[1] - User
	// arrConnect[2] - License token
	// arrConnect[3] - Error message if not connected
	//
function fnConnect(frm) {
	var arguments;

	arguments= frm.txtUser.value + delimiter + frm.txtPassword.value ;
	parent.serverLink.fnDo('fnConnectResult','Connect.fnConnectAs',arguments) ;
	}
	

function fnConnectResult(result) {
	var arrConnect;
	var expires;
  var connect,user,error

	arrConnect=result.split(delimiter);
	connect=arrConnect[0]
	user=arrConnect[1]
	error=arrConnect[2]
	
	// Check for error
	if (connect!=1) {
		alert(error);
	}
	else {
		// Save user id as cookie for 24 hours (24*3600000 milliseconds = 24 hours)
		expires=new Date((new Date()).getTime()+24*3600000);
		string='vcm_user_id='+user+'; expires='+expires.toGMTString();
		document.cookie=string;

		// Update Browser Window status
		//parent.opener.defaultStatus='VC/m - Connected: '+arrConnect[1];
		//parent.opener.user=arrConnect[1];
		parent.opener.Connect.fnConnected(user);
		

		// close this window
		parent.fnClose();
	}
}
	
