<?xml version='1.0' standalone='no'?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp '&#160;'> ]>
<xsl:stylesheet
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:gjs="http://www.georgejames.com">

<xsl:include href='gjsForm.xsl'/>

<xsl:template match="Form">
	<xsl:apply-templates select="output"/>
</xsl:template>

<xsl:template match="/Form/output">

<gjs:form
 title='Add Namespaces - Result'
 jsFile='vcmNamespaceWizard_Form.js'
 save='no'
 close='yes'
 delete='no'
 print='{/Form/@print}'
 help='{/Form/@help}'
 ok='no'
 cancel='no'>
	<gjs:information>
		Here is the output from the wizard for managing new namespaces with Deltanji.
    Text in the output can be selected, then copied to your clipboard using the context menu.
	</gjs:information>
	<br/>

<div id='divOutput' class='visible'>
  <gjs:frame>
  <!-- Set up frame column widths -->
  <gjs:columnWidths>
    <gjs:column width='20'/>
    <gjs:column width='390'/>
  </gjs:columnWidths>

  <gjs:fields>

    <gjs:textarea
     id='output'
     cols='80'
     rows='10'
     value='{@text}'
     readonly='1'>
      <hint>Output from the wizard</hint>
    </gjs:textarea>

  </gjs:fields>

  </gjs:frame>
</div>
</gjs:form>

</xsl:template>

<xsl:template match='paragraph' name='paragraph'>
  <xsl:value-of select='@text'/>
</xsl:template>

</xsl:stylesheet>
