//vc/ Main
//vc/ Copyright 1999,2005 George James
//vc/ Object:    Main.js/1.0
//vc/ Component: T.Main.js


Main = {}

	// Heading height, grabbed after the screen is first rendered
Main.g_iHeadingHeight=null

	// Public - About
Main.fnAbout = function() {
	alert("gJax 3.1.1\nCopyright 1992,2006 George James Software Limited\nwww.georgejames.com\nwww.gjax.net\nwww.gjax.org\nsupport@georgejames.com")
}


	// Public - Main Menu Help
Main.fnHelp = function() {
	//
	var winHelpProperties='left=0,top=0,width=800,height=600,toolbar=yes,location=yes,directories=yes,status=yes,resizable=yes,menubar=yes,scrollbars=yes'
	//
	winHelp=window.open('gjaxHelp.htm','_blank',winHelpProperties)
	winHelp.focus()
	//
	return false
}


	// Public - Toggle display of the Audit panel
Main.fnAuditShowHide = function() {
	if (Main.messageHeight>0) Main.fnMessageHeightSet(0)
	else Main.fnMessageHeightSet(Main.messageHeightLast)
	//if (typeof(console)!='undefined') console.log(Main.messageHeight);
}


	// Public - Toggle display of Folder panel
Main.fnFolderShowHide = function() {
	if (Main.folderWidth>0) Main.fnFolderWidthSet(0)
	else Main.fnFolderWidthSet(Main.folderWidthLast)
}


	// Fired when the user clicks on a resize handle
Main.fnResizeMouseDown = function(oResizeHandle) {
	$(oResizeHandle).css('background','darkgray');
	//
	// Remember where the mouse was in the resize handle
	//if (typeof(console)!='undefined') console.log(event);
	// Can't use offsetX and offsetY as Firefox doesn't supply these.
	g_offsetX=event.clientX - event.target.getBoundingClientRect().left;
	g_offsetY=event.clientY - event.target.getBoundingClientRect().top;
	//
	g_oResize=oResizeHandle;
	//if (typeof(console)!='undefined') console.log(g_oResize);
	if (g_oResize.id=='divMessagesResizeHandle') $("html").addClass("dragging-row");
	if (g_oResize.id=='divFolderResizeHandle') $("html").addClass("dragging-col");
	gjsTree.fnEventStop(event);
}

// Event handler attached on page load using jQuery for browser compatibility
Main.fnResizeMouseDown = function() {}

// Event handler attached on page load using jQuery for browser compatibility
Main.fnResizeMouseUp = function() {}


//Attach event handlers to the document and window to deal with resizing handles
$(function() {
	$('#divMessagesResizeHandle, #divFolderResizeHandle').on('mousedown',function(e) {
		$(this).css('background','darkgray');
		//
		// Remember where the mouse was in the resize handle
		g_offsetY=e.pageY;
		g_offsetX=e.pageX;
		//
		g_oResize=this;
		if (g_oResize.id=='divMessagesResizeHandle') $("html").addClass("dragging-row");
		if (g_oResize.id=='divFolderResizeHandle') $("html").addClass("dragging-col");
		gjsTree.fnEventStop(event);
	});
	$(document, window).on('mousemove',function(event) {
		if (g_oResize) {
			if (gjsTree.resizingHeading) {
				gjsTree.fnEventStop(event);
				gjsTree.fnColumnWidthSet(event);
			}
			var docheight = $(document).height();
			if (g_oResize.id=='divMessagesResizeHandle') Main.fnMessageHeightSet(docheight-event.clientY);
			if (g_oResize.id=='divFolderResizeHandle') Main.fnFolderWidthSet(event.pageX);
		}
	});
	$(document, window).on('mouseup',function(event) {
		if (g_oResize) {
			if (gjsTree.resizingHeading) {
				gjsTree.fnResizeMouseUp(event,g_oResize);
				gjsTree.resizingHeading=false;
			}
			if (g_oResize.id=='divMessagesResizeHandle') $('#divMessagesResizeHandle').css('background','buttonface');
			if (g_oResize.id=='divFolderResizeHandle') $('#divFolderResizeHandle').css('background','buttonface');
			if ($("html").hasClass("dragging-col")) $("html").removeClass("dragging-col");
			if ($("html").hasClass("dragging-row")) $("html").removeClass("dragging-row");
			g_oResize=null;
		}
	});
});


	// Fired when the user is dragging the resize handle
Main.fnResizeMouseMove = function() {
	//
	// Resize Message panel
	if (g_oResize.id=='divMessagesResizeHandle') Main.fnMessageHeightSet(document.body.clientHeight-1-event.clientY+g_offsetY)
	//
	// Resize Folder panel
	//console.log(1+event.clientX-g_offsetX);
	if (g_oResize.id=='divFolderResizeHandle') Main.fnFolderWidthSet(1+event.clientX-g_offsetX)
	//
	// Resize Column heading
	//if ($(g_oResize).hasClass('columnResizeHandle')) gjsTree.fnColumnWidthSet()
}


Main.fnMouseUp = function() {
	//
	// If there is a resize in effect then fire the appropriate mouse up action
	/*
	if (!g_oResize) return
	//
	if ($(g_oResize).hasClass('columnResizeHandle')) gjsTree.fnResizeMouseUp(g_oResize)
	*/
}	


	// Set the size of the folder window
Main.fnFolderWidthSet = function(width) {
  //
  var expires
  //
	Main.folderWidth=width
	Main.fnArrangeAll()
	if (Main.folderWidth!=0) {
	  Main.folderWidthLast=Main.folderWidth
  }
  //
  // Save as a cookie
  expires=new Date((new Date()).getTime()+3600000*24*365)
  document.cookie='folderWidth='+Main.folderWidth+'; expires='+expires.toGMTString()
}



	// Set the size of the message window
Main.fnMessageHeightSet = function(height) {
  //
  var expires
  //
	Main.messageHeight=height
	Main.fnArrangeAll()
	if (Main.messageHeight!=0) {
	  Main.messageHeightLast=Main.messageHeight;
  }
  //
  // Save as a cookie
  expires=new Date((new Date()).getTime()+3600000*24*365)
  document.cookie='messageHeight='+Main.messageHeight+'; expires='+expires.toGMTString()
}


	// Public - Display the Welcome page
	// Retrieve from hidden frame and paste into divMainBody
Main.fnWelcome = function() {
  
  function iframeRef( frameRef ) {
    return frameRef.contentWindow ? frameRef.contentWindow.document : frameRef.contentDocument
  }
  
  document.getElementById('divMainHead').innerHTML=''
  document.getElementById('divMainBody').innerHTML = iframeRef(document.getElementById('welcome')).getElementsByTagName('body')[0].innerHTML;
}


  // Return as a string the id of the div where headings for the table element (or table) el should be put
Main.fnIdOfHeadingDiv = function(el) {
  var sTarget = ''
  var $el,$table
  
  // Work out where to set them.
  // If the off-screen copy doesn't specify where to copy itself to (gjsDivHeadingId attribute),
  // iteratively look for closest parent table with a gjsReferenceHeadingId attribute
  // that points to an element with a non-empty gjsDivHeadingId attribute.
  
  $el = $(el)
  sTarget = $el.attr('gjsDivHeadingId')
  while (!sTarget) {
    $table = $el.closest('table[gjsReferenceHeadingId]')
    if ($table.length==0) break
    sTarget = $('#' + $table.attr('gjsReferenceHeadingId')).attr('gjsDivHeadingId')
    if (sTarget) break
    $el = $table.parent()
  }
  
  // Fall back to targeting divMainHead.
  if (sTarget=='') sTarget='divMainHead'
  
  return sTarget
}

  // Set the column headings from an off-screen copy (reference heading)
Main.fnSetMainHead = function(sMainHead) {
  var sTarget = Main.fnIdOfHeadingDiv(document.getElementById(sMainHead))
  
  $('#' + sTarget).html(
	$('#' + sMainHead).html()
  );
}


	// Arrange divs and adjust to fix the size of the browser
Main.fnArrangeAll = function() {
  //
	var border,borderTop,borderBottom,selectHeight,headingHeight,windowHeight,scrollBarWidth
	var top,left,height,width,oDivOuter
	//
	// Offsets
	border=3
	borderTop=border
	borderBottom=border+border
	//
	// Grab the heading height on first invocation.  Use this for subsequent resize events as it otherwise tends to drift
	if (Main.g_iHeadingHeight==null) Main.g_iHeadingHeight=$('#divMessagesHeadingOuter').outerHeight()+border
	headingHeight=Main.g_iHeadingHeight
	//
	windowHeight=Main.fnWindowHeight()
	//
	/*
	oDivOuter=document.getElementById("divOuter")
	if (dragObjectPos == "top") {
		oDivOuter.style.top = 26 //Height of #menu
	}
	else if( dragObjectPos == "bottom") {
		oDivOuter.style.top = 0
		document.getElementById("menu").style.top = windowHeight
	}
	else {
		oDivOuter.style.top = 0
	}
	*/
	//
	//
	var outerMargin = 3;
	var borderOffset = 2;
	selectHeight = 34;
	scrollBarWidth = getScrollBarWidth();
	//
	top = 26;
	left = 0;
	height = windowHeight;
	width = $(window).width();
	Main.fnSetSize("divOuter",top,left,height,width);
	//
	top = selectHeight + outerMargin;
	left = 0 + outerMargin;
	height = headingHeight - outerMargin;
	width = Main.folderWidth - (outerMargin*2) - borderOffset;
	Main.fnSetSize("divFolderHeadingOuter",top,left,height,width);
	//
	top = 0;
	left = 0;
	height = headingHeight - outerMargin;
	width = Main.folderWidth - (outerMargin*2) - ((scrollBarWidth>17) ? scrollBarWidth : 17);
	Main.fnSetSize("divFolderHeadingInner",top,left,height,width);
	//
	top = selectHeight;
	left = 0 + outerMargin;
	height = 20;
	width = Main.folderWidth - (outerMargin*2);
	Main.fnSetSize("divFolderTop",top,left,height,width);
	fnAbsoluteClippedRect(document.getElementById("divFolderTop"))
	//
	padding = 10 // divFolder has a bottom padding that we need to account for in its height
	top = selectHeight + headingHeight + borderOffset
	left = 0 + outerMargin
	height = windowHeight - selectHeight - Main.messageHeight - headingHeight - outerMargin - borderOffset - padding
	width = Main.folderWidth - (outerMargin*2) - borderOffset
	Main.fnSetSize("divFolder",top,left,height,width)
	//	
	top = windowHeight - Main.messageHeight - outerMargin - scrollBarWidth;
	left = 0 + outerMargin;
	height = scrollBarWidth;
	width = Main.folderWidth - (outerMargin*2);
	Main.fnSetSize("divFolderBottom",top,left,height,width);
	fnAbsoluteClippedRect(document.getElementById("divFolderBottom"))
	//
	top = selectHeight + outerMargin;
	left = Main.folderWidth - (outerMargin*2) + 1;
	height = windowHeight - selectHeight - Main.messageHeight - outerMargin;
	width = (outerMargin*2) + 1;
	Main.fnSetSize("divFolderResizeHandle",top,left,height,width);
	//
	top = 0;
	left = 0 + outerMargin;
	height = selectHeight - borderOffset;
	width = $(window).width() - (outerMargin*2);
	Main.fnSetSize("divSelect",top,left,height,width);
	//
	top = selectHeight + outerMargin;
	left = Main.folderWidth + outerMargin;
	height = windowHeight - selectHeight - borderOffset - Main.messageHeight - outerMargin;
	width = $(window).width() - Main.folderWidth - (outerMargin*2);
	Main.fnSetSize("divMain",top,left,height,width);
	//
	top = 0;
	left = 0;
	height = headingHeight - outerMargin;
	width = $(window).width() - Main.folderWidth - (outerMargin*2) - borderOffset;
	Main.fnSetSize("divMainHeadingOuter",top,left,height,width);
	//
	top = 0;
	left = 0;
	height = headingHeight - outerMargin;
	width = $(window).width() - Main.folderWidth - (outerMargin*2) - scrollBarWidth;
	Main.fnSetSize("divMainHeadingInner",top,left,height,width);
	//
	top = 0;
	left = 0;
	height = headingHeight - outerMargin;
	width = $(window).width() - Main.folderWidth - (outerMargin*2);
	Main.fnSetSize("divMainHead",top,left,height,width);
	Main.fnScrollHeading("divMainBody","divMainHead");
	//
	padding = 10 // divMainBody has a bottom padding that we need to account for in its height
	top = headingHeight - outerMargin + borderOffset
	left = 0
	height = windowHeight - selectHeight - Main.messageHeight - headingHeight - outerMargin - borderOffset - padding
	width = $(window).width() - Main.folderWidth - (outerMargin*2) - borderOffset
	Main.fnSetSize("divMainBody",top,left,height,width)
	//
	top = windowHeight - Main.messageHeight - outerMargin - 1;
	left = 0 + outerMargin;
	height = (outerMargin*2) + borderOffset;
	width = $(window).width() - (outerMargin*2);
	Main.fnSetSize("divMessagesResizeHandle",top,left,height,width);
	//
	top = windowHeight - Main.messageHeight + headingHeight + outerMargin;
	left = 0 + outerMargin;
	height = Main.messageHeight - headingHeight - (outerMargin*2);
	width = $(window).width() - (outerMargin*2) - borderOffset;					
	Main.fnSetSize("divMessages",top,left,height,width);
	//
	top = windowHeight - Main.messageHeight + (outerMargin*2);
	left = 0 + outerMargin;
	height = headingHeight - outerMargin;
	width = $(window).width() - (outerMargin*2) - borderOffset;
	Main.fnSetSize("divMessagesHeadingOuter",top,left,height,width);
	//
	top = windowHeight - Main.messageHeight + outerMargin;
	left = 0 + outerMargin;
	height = headingHeight - outerMargin;
	width = $(window).width() - (outerMargin*2);
	Main.fnSetSize("divMessagesHeadingInner",top,left,height,width);
	//
	top = 0;
	left = 0;
	height = headingHeight - outerMargin;
	width = $(window).width() - (outerMargin*2) - ((scrollBarWidth>17) ? scrollBarWidth : 17);
	Main.fnSetSize("divMessagesHeadingInner",top,left,height,width);
	Main.fnScrollHeading("divMessages","divMessagesHeading");
}

window.onresize=Main.fnArrangeAll;


	// Set the size of an object
Main.fnSetSize = function(sDiv,top,left,height,width) {
  //
  $('#' + sDiv).css({
	"top": top + "px",
	"left": left + "px",
	"height": height + "px",
	"width": width + "px"
  });
}


	// When a div is scrolled horizontally, scroll the corresponding heading by the same amount
Main.fnScrollHeading = function(divMain,divHead) {
  //
  var oDivMain=document.getElementById(divMain)
  var oDivHead=document.getElementById(divHead)
  //
  $(oDivHead).css({
	"clip":"rect(auto auto auto " + oDivMain.scrollLeft + "px)",
	"left":oDivMain.scrollLeft*-1+"px"
  });
	oDivHead.style.clip="rect(auto auto auto " + oDivMain.scrollLeft + "px)"
	oDivHead.style.left=(oDivMain.scrollLeft*-1)
}


	// Get height of the actual window (excluding the menu bar - if it's docked)
Main.fnWindowHeight = function() {
	//
	var borderOffset = 2;
	var windowHeight = $(window).height()-$('#divMenu').height()-borderOffset;
	//
	//if (dragObjectPos == "top") {
	//	windowHeight = document.body.clientHeight-menu.offsetHeight
	//}
	//else if( dragObjectPos == "bottom") {
	//	windowHeight = document.body.clientHeight-menu.offsetHeight
	//}
	//else {
	//	document.getElementById("divOuter").style.top = 0
	//	windowHeight = document.body.clientHeight
	//}
	return windowHeight
}


	// Get cookie value by name
Main.fnCookie = function(cookieName) {
  //
	var allCookies,found,start,end,value;
	//
	allCookies=document.cookie;
	found=allCookies.indexOf(cookieName + '=');
	if (found==-1) {
		return '';
	}
	else {
		start=found+cookieName.length+1;
		end=allCookies.indexOf(';',start);
		if (end==-1) end=allCookies.length;
		value=allCookies.substring(start,end);
		return value;
	}
	//if (typeof(console)!='undefined') console.log('Cookies: ' + document.cookies);
}

  // Get initial value for folder width, either from cookie or default
Main.fnGetFolderWidth = function() {
  //
  var width
  //
  width=Main.fnCookie('folderWidth')
  width=parseInt(width)
  if (isNaN(width)) width=Main.folderWidthLast
  if (width>30) Main.folderWidthLast=width
  return width
}

  // Get initial value for message height, either from cookie or default
Main.fnGetMessageHeight = function() {
  //
  var height
  //
  height=Main.fnCookie('messageHeight')
  height=parseInt(height)
  if (isNaN(height)) height=Main.messageHeightLast
  if (height>30) Main.messageHeightLast=height
  return height
}

// Helper function to get the width of the scrollbars
function getScrollBarWidth () {
  var inner = document.createElement('p');
  inner.style.width = "100%";
  inner.style.height = "200px";

  var outer = document.createElement('div');
  outer.style.position = "absolute";
  outer.style.top = "0px";
  outer.style.left = "0px";
  outer.style.visibility = "hidden";
  outer.style.width = "200px";
  outer.style.height = "150px";
  outer.style.overflow = "hidden";
  outer.appendChild (inner);

  document.body.appendChild (outer);
  var w1 = inner.offsetWidth;
  outer.style.overflow = 'scroll';
  var w2 = inner.offsetWidth;
  if (w1 == w2) w2 = outer.clientWidth;

  document.body.removeChild (outer);

  return (w1 - w2);
};

// Attach event handlers to deal with keypresses in specific panels
$(function() {
	$('#divFolder').on('keydown',function(e) {
		fnFolderKeyDown(e);
	});
	$('#divMain').on('keydown',function(e) {
		fnMainKeyDown(e);
	});
});

// Default panel sizes
Main.messageHeightLast=130
Main.messageHeight=Main.fnGetMessageHeight()

Main.folderWidthLast=160
Main.folderWidth=Main.fnGetFolderWidth()

