//vc/ Locations & Routes Diagram Report Form
//vc/ Copyright 2011 George James Software
//vc/ Object:    Report_LocationsAndRoutes_Form.js/1
//vc/ Component: T.Report_LocationsAndRoutes_Form.js

var delimiter = parent.opener.delimiter;
var user = parent.opener.user;
var winHelp = null;
var winHelpProperties = parent.opener.winHelpProperties;

window.onunload = fnUnload;

	// Initialise tab strip
function fnLoad() {
	//
	// Select the first frame on the tab-strip
	TabStrip.fnSelect(document.getElementById('tabInstructions'));
}

//----------------------------------------------------------------------
// OK on form
//----------------------------------------------------------------------
function fnItemSaveClose() {
	
  // Build url string
	var url = parent.serverUrl;
	url += '&page=' + escape('Report.LocationsAndRoutes.raw');
	url += '&arguments=' + encodeURIComponent(fnArguments());


	// Build properties string
 	var windowProperties = 'left=50,top=50,toolbar=no';

	// Open report window (always in a new window)
	winPage = window.open(url, 'LocationsAndRoutesReport', windowProperties);
	winPage.focus();
	parent.fnClose();
}


function fnArguments() {
	var i;
	var arguments = '';
	for (i=0; i<frmMain.system.length; i++) {
		if (frmMain.system[i].value!='') {
			arguments += frmMain.system[i].value
			arguments += '\002'
		}
	}	

	arguments += delimiter;
	for (i=0; i<frmMain.accessRight.length; i++) {
		if (frmMain.accessRight[i].value!='') {
			arguments += frmMain.accessRight[i].value
			arguments += '\002'
		}
	}	

	arguments += delimiter;
	for (i=0; i<frmMain.locationClass.length; i++) {
		if (frmMain.locationClass[i].value!='') {
			arguments += frmMain.locationClass[i].value
			arguments += '\002'
		}
	}	

	arguments += delimiter + (frmMain.chkTemplates.checked?1:0);
	arguments += delimiter + (frmMain.chkDerivatives.checked?1:0);
	arguments += delimiter + (frmMain.chkDisabledRoutes.checked?1:0);
	arguments += delimiter + frmMain.routeLabels.value;
	
	return arguments;
}

function fnHelp() {
	winHelp = window.open('WebDoc/docs/locationsandroutesdiagram.html', 'vcmHelp', winHelpProperties);
	winHelp.focus();
}


function fnClose() {
	parent.fnClose();
}


function fnUnload() {
	// Close child windows
	if (winHelp) { winHelp.close(); }
}
