//vc/ VC/m Change Request Type Maintenance
//vc/ Copyright 2002 George James
//vc/ Object:    %Serenj42/1.x
//vc/ Component: T.vc421.js

	var delimiter=parent.opener.delimiter;
	var winHelpProperties = parent.opener.winHelpProperties;
	var g_oSelectedRow=null;


	// Row Change Manager
	// The first row forms the template for new rows, it should be blank and hidden
	// The last row should be blank but not hidden.  When a value is entered in the
	// last row, then a new row should be added using the first row as a template.
function fnRowChanged(oThisCell) {
	var oThisRow,oTableBody,oNewRow,oTemplateRow,oNewCell,i;
	Form.fnChanged();
	//
	// Is this the last row?
	oThisRow=oThisCell.parentNode.parentNode;
	if (getAttr(oThisRow,'gjsLastRow')=='0') return;
	setAttr(oThisRow,'gjsLastRow','0');
	//
	// Clone second row (the template) as new last row
	oTableBody=oThisRow.parentNode;
	oNewRow=document.createElement("TR");
	oTableBody.appendChild(oNewRow);
	oTemplateRow=oTableBody.firstElementChild.nextElementSibling;
	oTableBody.appendChild(oNewRow);
	for (i=0 ; i<oTemplateRow.cells.length ; i++) {
		oNewCell=document.createElement("TD");
		oNewRow.appendChild(oNewCell);
		oNewCell.innerHTML=oTemplateRow.cells[i].innerHTML;
	}
	//
	// Make new row visible
	oNewRow.style.display='table-row';
}


	// Update initial status drop down with list of statii
function fnUpdateInitialStatus() {
	//
	var i,oOption;
	var sInitialStatus=frmMain.initialStatus.value;
	//
	// Delete old options (except the first)
	var iOptions=frmMain.initialStatus.options.length; 
	for (i=1; i<iOptions ; i++) frmMain.initialStatus.options.remove(1);
	//
	// Add new list of options
	for (i=1; i<(frmMain.status.length-1); i++) {
		if (frmMain.status[i].value!='') {
			oOption=document.createElement("OPTION")
			oOption.text=frmMain.status[i].value;
			oOption.value=frmMain.status[i].value;
			if (frmMain.status[i].value==sInitialStatus) oOption.selected=true;
			frmMain.initialStatus.options.add(oOption);
		}
	}
}


	//----------------------------------------------------------------------
	// Validate and save item
	//----------------------------------------------------------------------
function fnItemSaveClose() {
	parent.serverLink.fnDo('fnItemSaveCloseResult','ChangeRequestType.fnSave',fnArguments());
}

function fnItemSaveCloseResult(result) {
	//
	var arrResult;
	//
	arrResult=result.split(delimiter);
	if (arrResult[0]!="OK") {
		alert(result);
		return;
	}
	//
	// Update main screen (if still there)
	try {
		// If a new item (i.e. revision=1), force a full relist
		//
		Form.fnRefresh(parent.opener.ChangeRequestType,(arrResult[1]=="1"))
	}
	catch (error) {}
	//
	// Close the window
	parent.fnClose();
}



	//----------------------------------------------------------------------
	// Delete item
	//----------------------------------------------------------------------
function fnItemDelete() {
  var arguments;
	arguments  = frmMain.changeRequestType.value;
	arguments += delimiter + frmMain.revision.value;
	parent.serverLink.fnDo('fnItemDeleteResult','ChangeRequestType.fnDelete',arguments);
}

function fnItemDeleteResult(result) {
	if (result!="OK") {
		alert(result);
		return;
	}
	//
	// Update main screen
	Form.fnRefresh(parent.opener.ChangeRequestType);
	//
	// Successfully deleted so close the window
	parent.fnClose();
}


function fnArguments() {
	var i,iStep,arguments;
	arguments  = frmMain.changeRequestType.value;
	arguments += delimiter + frmMain.oldChangeRequestType.value;
	arguments += delimiter + frmMain.revision.value;
	arguments += delimiter + (frmMain.withdrawn.checked ? 1 : 0);
	arguments += delimiter + frmMain.description.value;
	arguments += delimiter + frmMain.caption.value;
	arguments += delimiter + frmMain.prefix.value;
	arguments += delimiter + frmMain.lastUsedSuffix.value;
	arguments += delimiter + frmMain.initialStatus.value;
	arguments += delimiter + frmMain.changeRequestEventCategory.value;
	arguments += delimiter + frmMain.objectEventCategory.value;
	arguments += delimiter + frmMain.transferEventCategory.value;
	arguments += delimiter;
	//
	if (frmMain.status.length>0) {
  	iStep=Math.max(1,Math.round(100/frmMain.status.length));
  	for (i=0; i<frmMain.status.length; i++) {
  		if (frmMain.status[i].value!='') {
  			arguments += frmMain.status[i].value;
  			arguments += '\003' + ((i)*iStep);
  			arguments += '\003' + frmMain.tiedLocation[i].value;
  			arguments += '\002';
  		}
  	}
	}
	arguments += delimiter + frmMain.allowedMemberTypes.value;
	//
	return arguments;
}




	// Select a row
function fnItemSelect(oRow) {
	if (g_oSelectedRow) g_oSelectedRow.className='row';
	//
	// Deselect row if already selected
	if (g_oSelectedRow==oRow) { g_oSelectedRow=null ; return }
	//
	g_oSelectedRow=oRow;
	g_oSelectedRow.className='selectedRow';
}


	// Move selected row up one
function fnMoveUp() {
	//
	var oBody,oPreviousRow,bInClass
	//
	if (!g_oSelectedRow) return;
	//
	if (g_oSelectedRow.rowIndex<2) return;
	//
	oBody=g_oSelectedRow.parentNode;
	oPreviousRow=g_oSelectedRow.previousElementSibling;	
	oBody.insertBefore(g_oSelectedRow,oPreviousRow);
	//
	Form.fnChanged();
	fnUpdateInitialStatus();
}


	// Move selected row down one
function fnMoveDown() {
	//
	var oBody,oNextRow
	//
	if (!g_oSelectedRow) return;
	//
	if (!g_oSelectedRow.nextElementSibling) return;
	//
	oBody=g_oSelectedRow.parentNode;
	oNextRow=g_oSelectedRow.nextElementSibling;	
	oBody.insertBefore(oNextRow,g_oSelectedRow);
	//
	Form.fnChanged();
	fnUpdateInitialStatus();
}

function fnHelp() {
	winHelp=window.open('WebDoc/docs/managingchangerequests.html#changerequesttypes','vcmHelp',winHelpProperties) ;
	winHelp.focus();
}
