//vc/ VC/m Fileset Class
//vc/ Copyright 1999,2005 George James
//vc/ Object:    vcmFileset.js
//vc/ Component: T.vcmFileset.js


	// Fileset Class
Fileset = {}


	// Initialise to no current selection
Fileset.Current=Disabled;
Fileset.windowFilesetProperties  = 'left=100,top=100,width=575,height=500,toolbar=no';
Fileset.windowFilesetProperties += ',location=no,directories=no,status=no,resizable=yes,menubar=no';
Fileset.windowProperties  = 'left=100,top=100,width=620,height=260,toolbar=no';
Fileset.windowProperties += ',location=no,directories=no,status=no,resizable=yes,menubar=no';


	// Public - Display List of items and make this the active folder
Fileset.fnList = function() {
	var arguments
	
	//
	SelectedClass=Fileset
	Class.fnUnselect()
	//
	fnMessageSelecting()
	//
	arguments = getAttr(g_oSelectedFolder,'gjsItem') // Location code
	ServerLink.fnDo('Fileset.fnListResult','Fileset.fnList',arguments)
}


Fileset.fnListResult = function(oResult) {
  // Copy results from oResult to document
  ServerLink.fnUpdate(oResult,'divFolderHeadingCaption')
  ServerLink.fnUpdate(oResult,'divMainBody')
  ServerLink.fnUpdate(oResult,'divMainHead')
  ServerLink.fnUpdate(oResult,'divInfo')
}


Fileset.fnSetMainHead = function(sMainHead) {
  document.getElementById('divMainHead').innerHTML=document.getElementById(sMainHead).innerHTML;
}


       // Public - Delete Fileset
Fileset.fnDelete = function(sLocation,sFileset,sRowId) {
	var arguments
	if (!confirm("WARNING: This operation will delete all files in the fileset from disk.")) return;
	//
	arguments = sLocation // Location code
	arguments += delimiter + sFileset // Fileset
	arguments += delimiter + sRowId // RowId to remove from display
	//
	parent.serverLink.fnDo('Fileset.fnDeleteResult','Fileset.fnDelete',arguments)
}

Fileset.fnDeleteResult = function(oResult) {
  AuditTrail.fnAppendMessages(oResult)  
  gjsTree.fnDeleteRows("divRowDelete",oResult)
}


       // Public - Open Fileset
Fileset.fnOpen = function(sFileset) {
	var url;
	//
	// Build url string
	url  = parent.serverUrl 
	url += '&page=' + escape('Fileset.fnOpen') ;
	url += '&fileset=' + encodeURIComponent(sFileset) ;
	//
	// Open fileset window
	winObj=window.open(url,'_blank',Fileset.windowFilesetProperties) ;
	winObj.focus();
}


	// Public - Transfer Fileset
Fileset.fnTransfer = function(sFileset,sFunction,sLcode1,sLcode2) {
	var url;
	//
	// Build url string
	url = parent.serverUrl
	url += '&page=' + escape('Fileset.fnTransfer');
	url += '&function=' + encodeURIComponent(sFunction);
	url += '&lcode1=' + encodeURIComponent(sLcode1 + ':' + sFileset);
	url += '&lcode2=' + encodeURIComponent(sLcode2);
	url += '&user=' + encodeURIComponent(user);
	url += '&obvType=FILESET';
	//
	// Open transfer window
	winTransfer=window.open(url,'Transfer',Fileset.windowProperties) ;
	winTransfer.focus();
}


  // Public - Note location and fileset
Fileset.fnNoteValues = function(sLocation,sFileset) {
  Fileset.location=sLocation;
  Fileset.fileset=sFileset;
  return '';
}
	
	// Handle for selected item methods
Fileset.Item = {

 fnDelete: function() {
	if (typeof(Fileset.Current)=='undefined') return;
	Fileset.fnDelete(getAttr(g_oSelectedFolder,'gjsItem'),getAttr(Fileset.selectedCell,'gjsItem'),getAttr(Fileset.selectedCell,'gjsRowId'));
 },

 fnOpen: function() {
	if (typeof(Fileset.Current)=='undefined') return;
	Fileset.fnOpen(getAttr(Fileset.selectedCell,'gjsItem'));
 },

	// Public - Transfer selected Fileset
 fnTransfer: function(sFunction,sLcode1,sLcode2) {
	if (typeof(Fileset.Current)=='undefined') return;
	if (Class.fnSelectionCount()==1) {
		Fileset.fnTransfer(getAttr(Fileset.selectedCell,'gjsItem'),sFunction,sLcode1,sLcode2);
	}
	else {
		alert('Multiselect transfer not yet supported');
	}
 }
}
